version: "3.4"

services:
  app:
    image: learning-docker:cicd-started
    ports:
      - "3000:3000"
    restart: unless-stopped
    healthcheck:
      test: wget --quiet --tries=1 --spider http://localhost:3000 || exit 1z
      interval: 30s
      timeout: 10s
      retries: 5